## python-mrcfile 1.4.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = mrcfile
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
sphinx==5.0.2
sphinx_rtd_theme==1.0.0
numpy==1.19.5

=== debian/changelog ===
python-mrcfile (1.4.3-3) unstable; urgency=medium

  * Patch out a test that fails with current numpy. This fixes "FTBFS:
    AssertionError: ValueError not raised", thanks to Lucas Nussbaum
    (Closes: #1028707). (Actually, the bug was fixed in the recent
    python3-numpy 1.24.2, but another bug was triggered by this same
    python3-numpy 1.24.2 version. Upstream author agrees that it's fine to
    patch out the test in question for now, see
    https://github.com/ccpem/mrcfile/issues/49). Patch from "s3v-".
  * Fix lintian override.
  * Fix line wrapping in changelog.

 -- Roland Mas <lolando@debian.org>  Tue, 14 Feb 2023 17:12:54 +0100

python-mrcfile (1.4.3-2) unstable; urgency=medium

  * Team upload
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * wrap-and-sort -ast
  * use dh-sequence-[python3|sphinxdoc]

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 07 Oct 2022 12:35:24 +0200

python-mrcfile (1.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Add missing attributions in debian/copyright.
  * Override Lintian error about Python tracebacks in manpage; these
    tracebacks are an intended part of the text.

 -- Roland Mas <lolando@debian.org>  Wed, 28 Sep 2022 12:29:41 +0200

python-mrcfile (1.4.2-2) unstable; urgency=medium

  * Added Debian PaN Maintainers as maintainer.
  * Rename source package to python-mrcfile.

 -- Roland Mas <lolando@debian.org>  Wed, 21 Sep 2022 11:03:38 +0200

mrcfile (1.4.2-1) unstable; urgency=medium

  * Source package automatically created by stdeb 0.10.0 then tweaked by hand.
  * Initial upload (Closes: #1020332).

 -- Roland Mas <lolando@debian.org>  Tue, 20 Sep 2022 18:54:52 +0200

=== debian/control ===
Source: python-mrcfile
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Roland Mas <lolando@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 python3-all,
 python3-numpy,
 python3-pip,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
 tox,
Standards-Version: 4.6.1
Homepage: https://github.com/ccpem/mrcfile

Package: python3-mrcfile
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${sphinxdoc:Depends}
Description: Python implementation of the MRC2014 file format
 mrcfile is a Python implementation of the MRC2014 file format, which
 is used in structural biology to store image and volume data.
 .
 It allows MRC files to be created and opened easily using a very
 simple API, which exposes the file's header and data as numpy
 arrays. The code runs in Python 2 and 3 and is fully unit-tested.
 .
 This library aims to allow users and developers to read and write
 standard-compliant MRC files in Python as easily as possible, and
 with no dependencies on any compiled libraries except numpy. You can
 use it interactively to inspect files, correct headers and so on, or
 in scripts and larger software packages to provide basic MRC file I/O
 functions.
 .
 Key Features:
 .
  * Clean, simple API for access to MRC files
  * Easy to install and use
  * Validation of files according to the MRC2014 format
  * Seamless support for gzip and bzip2 files
  * Memory-mapped file option for fast random access to very large files
  * Asynchronous opening option for background loading of multiple files
  * Runs in Python 2 & 3, on Linux, Mac OS X and Windows

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mrcfile
export PYBUILD_OPTION=--test-tox

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=pybuild
	make -C docs SPHINXBUILD="python3 -msphinx" man html

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-mrcfile-$1\.tar\.gz/ \
  https://github.com/ccpem/mrcfile/tags .*/v?(\d\S+)\.tar\.gz

## python-mrcfile 1.5.3

=== debian/changelog ===
python-mrcfile (1.5.3-3) unstable; urgency=medium

  * Increase tolerance a bit more.

 -- Roland Mas <lolando@debian.org>  Mon, 30 Sep 2024 08:49:05 +0200

python-mrcfile (1.5.3-2) unstable; urgency=medium

  * Increase tolerance on one test to hopefully fix the armhf test failure.

 -- Roland Mas <lolando@debian.org>  Sun, 29 Sep 2024 16:06:51 +0200

python-mrcfile (1.5.3-1) unstable; urgency=medium

  * New upstream release, with fixes to mmap (hopefully fixing the 32-bit
    test failures).

 -- Roland Mas <lolando@debian.org>  Fri, 27 Sep 2024 21:27:20 +0200

python-mrcfile (1.4.3-5) unstable; urgency=medium

  * Bump version number for unstable (1.4.3-4 was already present in
    experimental).

 -- Roland Mas <lolando@debian.org>  Tue, 24 Sep 2024 11:18:23 +0200

python-mrcfile (1.4.3-4) unstable; urgency=medium

  [Rahli Oussama]
  * d/t/*: Added Autopkgtests. This fixes "please add autopkgtests (to add
    coverage for python3-numpy)", thanks to Sandro Tosi (Closes:
    #1035222).

  [Roland Mas]
  * Improve reproducibility of build.
  * Bug fix: "Fails to build source after successful build", thanks to
    Lucas Nussbaum (Closes: #1046311).

 -- Roland Mas <lolando@debian.org>  Tue, 24 Sep 2024 11:14:48 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,4 +8,4 @@
 
 override_dh_auto_build:
 	dh_auto_build --buildsystem=pybuild
-	make -C docs SPHINXBUILD="python3 -msphinx" man html
+	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 make -C docs SPHINXBUILD="python3 -msphinx" man html

## python-mrcfile 1.5.4

=== docs/requirements.txt ===
sphinx==8.1.3
sphinx_rtd_theme==3.0.2
numpy==1.26.4

=== debian/changelog ===
python-mrcfile (1.5.4-2) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.5.4
  * Add Vcs-Browser & Vcs-Git tags

 -- Alexandre Detiste <tchet@debian.org>  Fri, 07 Feb 2025 15:29:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
  dh-sequence-python3,
  dh-sequence-sphinxdoc,
  python3-all,
@@ -18,6 +17,8 @@
  tox,
 Standards-Version: 4.6.1
 Homepage: https://github.com/ccpem/mrcfile
+Vcs-Browser: https://salsa.debian.org/python-team/packages/mrcfile
+Vcs-Git: https://salsa.debian.org/python-team/packages/mrcfile.git
 
 Package: python3-mrcfile
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=mrcfile
export PYBUILD_OPTION=--test-tox

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_build:
	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 make -C docs SPHINXBUILD="python3 -msphinx" man html

=== debian/tests/control ===
Test-Command: xvfb-run -s "-screen 0 1024x768x24 -ac +extension GLX +render -noreset" sh debian/tests/gui
Depends:
 debhelper,
 mesa-utils,
 python3-mrcfile,
 xauth,
 xvfb,
Restrictions: allow-stderr

Tests: python
Depends:
 python3-all,
 python3-mrcfile,
 python3-pytest,
Restrictions: allow-stderr, skip-not-installable
